This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1281976 - flex-2.6.0 is available
flex-2.6.0 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: flex (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patsy Franklin
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 19:12 EST by Upstream Release Monitoring
Modified: 2016-05-12 16:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: flex-2.6.0-1.fc25 flex-2.6.0-1.fc22 flex-2.6.0-1.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 20:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.6.0rc1 (#1281976) (1.08 KB, patch)
2015-11-13 19:12 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.6.0 (#1281976) (1.07 KB, patch)
2015-11-17 19:12 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-11-13 19:12:07 EST
Latest upstream release: 2.6.0rc1
Current version/release in rawhide: 2.5.39-3.fc24
URL: http://sourceforge.net/projects/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-11-13 19:12:33 EST
Created attachment 1093947 [details]
[patch] Update to 2.6.0rc1 (#1281976)
Comment 2 Upstream Release Monitoring 2015-11-13 19:14:49 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11826075
Comment 3 Upstream Release Monitoring 2015-11-17 19:11:37 EST
Latest upstream release: 2.6.0
Current version/release in rawhide: 2.5.39-3.fc24
URL: http://sourceforge.net/projects/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2015-11-17 19:12:04 EST
Created attachment 1095769 [details]
[patch] Update to 2.6.0 (#1281976)
Comment 5 Upstream Release Monitoring 2015-11-17 19:14:35 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11889088
Comment 6 Account closed by the user 2016-02-10 11:58:07 EST
(In reply to Upstream Release Monitoring from comment #3)

> Latest upstream release: 2.6.0
> Current version/release in rawhide: 2.5.39-3.fc24
> URL: http://sourceforge.net/projects/flex

2.6.0 was about cleaning up flex. There are some new c++ features as well.
In particular, flex now builds on OSX and a number of compiler warnings have
been silenced in flex generated scanners.

Changelog: https://raw.githubusercontent.com/westes/flex/d34b6160af8096ee01911c65cd761d38964e4fe8/NEWS
Comment 7 Patsy Franklin 2016-02-10 14:08:08 EST
Hi Xose,

I'm currently reviewing the open bugs reported against 2.6.0 and analysing why the scratch build failed.  

As soon as I am confident that it is stable, I will push it.  

I'll update this page as soon as it's available.

Thanks for your input!
Patsy
Comment 8 Paul Wouters 2016-03-02 15:58:58 EST
please apply the patch from upstream bug #201 as well:

 https://sourceforge.net/p/flex/bugs/201/ 

otherwise libreswan won't compile without warnings (and we use -Werror so the build fails)
Comment 9 Upstream Release Monitoring 2016-03-11 15:18:15 EST
pfrankli's flex-2.6.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=744130
Comment 10 Fedora Update System 2016-04-21 15:55:57 EDT
flex-2.6.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-57fa638dd8
Comment 11 Fedora Update System 2016-04-21 15:56:21 EDT
flex-2.6.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4669a0a6f
Comment 12 Fedora Update System 2016-04-21 23:23:01 EDT
flex-2.6.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-57fa638dd8
Comment 13 Fedora Update System 2016-04-22 16:57:14 EDT
flex-2.6.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b4669a0a6f
Comment 14 Fedora Update System 2016-04-29 20:19:35 EDT
flex-2.6.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-05-12 16:55:24 EDT
flex-2.6.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.